#ifndef _CONFIG_H
#define _CONFIG_H

/* stuff */
#define AG_REDIRECT_SERVER	"garlic.audiogalaxy.com"
#define AG_CLIENT_VERSION	"0.608W"

#define MAX_FT				20		/* maximum number of concurrent downloads/uploads */
#define TRANSBUF			16384	/* file transfer buffer size */
#define TRANSTIMEOUT		120		/* file transfer/connect timeout */
#define PINGFREQ			30		/* ping frequency in seconds */
#define CONNTIMEOUT			20		/* server connect timeout in seconds */
#define DBSAVE_MININT		120		/* minimum time in seconds between sharedb saves */
#define MAX_PATH			256		/* max path length - 256 should be more than enough */
#define MAX_DEPTH			20		/* max depth for share_dir() */

/* platform dependant stuff */
#define int32	unsigned long int
#define int16	unsigned short int

/* used in most source files */
#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>
#include <time.h>
#include <sys/time.h>
#include "wrappers.h"
#include "event.h"

extern int running;
extern int status;

#define AG_STAT_DISCONNECTED	0	/* fetching server from redirect server */
#define AG_STAT_CONNECTING		1	/* connecting to ag server (not the redirect server) */
#define AG_STAT_CONNECTED		2	/* connected */
#define AG_STAT_SEND_SHARES		3	/* sending shares */
#define AG_STAT_LOGGED_IN		4	/* logged in */

#endif
